Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Help required with Firefox and Java!!!

  1. #1
    Join Date
    Dec 2009
    Location
    Mumbai, India
    Posts
    44

    Default Help required with Firefox and Java!!!

    Hi,

    I recently migrated from OpenSuse 11.2 to 11.3 after doing a fresh install. I have both Firefox as well as Java installed on my system, however, Firefox fails to recognize Java.


    I cannot see it in the Plugins list but I know Java has been installed successfully.


    Moreover, I have followed the instructions mentioned at:
    How do I download and install Java for my Linux computer ?
    but I was unsuccessful.

    I have followed the instructions at:
    SDB:Installing Sun's Java on openSUSE - openSUSE
    to create a symbolic link, but it still doesn't work.

    This is so frustrating... I was able to get Java working with Firefox on 11.2 but something is going wrong when I am trying to get it working with 11.3!

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Help required with Firefox and Java!!!

    Follow this
    Installing 32-bit Java the Yast way

    32 or 64 it's basically the same principle
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Help required with Firefox and Java!!!

    If you are runing a 64 bit system you'll have to install the 32 bit JRE to get "java applets and java web start"as it's say on the sun's web site
    Quote Originally Posted by on the sun's website
    Please use the 32-bit version for Java applet and Java Web Start support.

  4. #4
    Join Date
    Jan 2009
    Location
    USA Pennsylvania
    Posts
    1,287

    Default Re: Help required with Firefox and Java!!!

    Quote Originally Posted by caf4926 View Post
    Follow this
    Installing 32-bit Java the Yast way

    32 or 64 it's basically the same principle
    Actually, I'm going to have to update that (I completely forgot I wrote those ). So far, in my experience, using 32-bit and 64-bit, 100% of the time it's worked just by installing java-x_x_x-sun and java-x_x_x-sun-plugin.

    Quote Originally Posted by bioinfo-man View Post
    If you are runing a 64 bit system you'll have to install the 32 bit JRE to get "java applets and java web start"as it's say on the sun's web site
    Good information to know. I know I ran into this problem as well when trying to load a upnp program that needed java when it was only 32-bit, so I had to install the 32-bit java.
    Laptop: Dell Inspiron E1505 | OpenSUSE 12.1/Windows Vista | KDE | Intel CPU T2050 1.6 GHz | Intel 945GM | 3.2GB RAM
    Box: OpenSUSE 12.1/Windows 7 | KDE | Intel Core 2 Quad 8300 2.5GHz/core | nVidia Geforce 9500GT 1GB| 4 GB RAM

  5. #5
    Join Date
    Dec 2009
    Location
    Mumbai, India
    Posts
    44

    Default Re: Help required with Firefox and Java!!!

    Hi, I have followed the procedure mentioned by the poster where he explains about installing two updates via Yast. One is 'java-1_6_0-sun' which is the the Java Runtime Environment (JRE) and the other is 'java-1_6_0-sun-plugin' which I believe is the equivalent browser plugin. The poster mentions about searching for 'sun' in Yast inorder to install the mentioned updates. However, as you must be knowing, Java is no longer maintained by Sun and therefore the search naturally does not yield any results.

    As I have mentioned before, I have installed the JRE as can be seen in the screenshot below:


    However, I was not able to find the equivalent Java plugin component for Firefox. I did search with different keywords like 'plugin', 'plugins', 'java', 'jre', 'firefox', etc, but no success.

    Additionally, the poster also mentions about creating a symbolic path by executing the command
    Code:
    ln -s /etc/alternatives/jre_1.6.0/plugin/i386/ns7/libjavaplugin_oji.so
    But in my case, libjavaplugin_oji.so is at the following location and therefore the above mentioned symbolic path cannot be used.
    Code:
    /usr/java/jre1.6.0_21/plugin/i386/ns7/


    Can you think of any other suggestion that I can try?

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Help required with Firefox and Java!!!

    Perhaps you should post terminal result of:

    zypper lr -d
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7
    Join Date
    Dec 2009
    Location
    Mumbai, India
    Posts
    44

    Default Re: Help required with Firefox and Java!!!

    Quote Originally Posted by caf4926 View Post
    Perhaps you should post terminal result of:

    zypper lr -d
    Sure... Here is the result:-
    Code:
    ash@linux-up5o:~> zypper lr -d 
    # | Alias                | Name                  | Enabled | Refresh | Priority | Type   | URI                                                             | Service
    --+----------------------+-----------------------+---------+---------+----------+--------+-----------------------------------------------------------------+--------
    1 | Libdvdcss repository | Libdvdcss repository  | Yes     | Yes     |   99     | rpm-md | http://opensuse-guide.org/repo/11.3/                            |        
    2 | Packman Repository   | Packman Repository    | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/11.3/                              |        
    3 | repo-debug           | openSUSE-11.3-Debug   | No      | Yes     |   99     | NONE   | http://download.opensuse.org/debug/distribution/11.3/repo/oss/  |        
    4 | repo-non-oss         | openSUSE-11.3-Non-Oss | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/11.3/repo/non-oss/    |        
    5 | repo-oss             | openSUSE-11.3-Oss     | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/11.3/repo/oss/        |        
    6 | repo-source          | openSUSE-11.3-Source  | No      | Yes     |   99     | NONE   | http://download.opensuse.org/source/distribution/11.3/repo/oss/ |        
    7 | repo-update          | openSUSE-11.3-Update  | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/11.3/                       |
    I have also posted in a separate thread about the errors that I get while running Yast:-
    http://forums.opensuse.org/english/g...rong-yast.html
    I am not sure, but maybe these two issues could be related to each other...

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Help required with Firefox and Java!!!

    View by repository and select NON-OSS
    You will see Sun Java in there:
    ImageBam - Fast, Free Image Hosting and Photo Sharing
    Just select NON-OSS rather than System as in the image
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9
    Join Date
    Dec 2009
    Location
    Mumbai, India
    Posts
    44

    Default Re: Help required with Firefox and Java!!!

    Unfortunately, I am not able to select NON-OSS... Its not listed in Yast!
    Image - TinyPic - Free Image Hosting, Photo Sharing & Video Hosting
    Last edited by star_scream; 03-Aug-2010 at 12:33. Reason: Wrong thread!

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,719
    Blog Entries
    20

    Default Re: Help required with Firefox and Java!!!

    In another thread you are reporting trouble accessing some repos, this one I think. So it's obviously not loading. I pointed you to mirrors, did you try one?
    Leap 15_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •